VMware ESX WebWorks Help Multiple XSS (VMSA-2009-0017) (remote check)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote host is missing a security-related patch.

Description :

The remote VMware ESX host is missing a security-related patch. It is,
therefore, affected by multiple cross-site scripting (XSS)
vulnerabilities in WebWorks Help due to improper sanitization of
user-supplied input to unspecified parameters or to messages used in
topic links. A remote attacker can exploit these to inject arbitrary
script code or HTML into the user's browser session.

See also :

https://www.vmware.com/security/advisories/VMSA-2009-0017

Solution :

Apply the appropriate patch according to the vendor advisory that
pertains to ESX version 4.0.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)
CVSS Temporal Score : 3.6
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Misc.

Nessus Plugin ID: 89118 ()

Bugtraq ID: 37346

CVE ID: CVE-2009-3731

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now